[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TLazDockForm.Notification

Notification - if the required operation is removal, sets MainControl to nil, then calls inherited Notification.

## Declaration

Source position: ldocktree.pas line 198

`protected procedure TLazDockForm.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## See also

TCustomForm.Notification |  | Handles the notification when a component is added to or removed from the form.